package _12_数组练习;

public class Test3 {
    public static void main(String[] args) {
        /**
         * 定义数组求最大值：33,5,22,44,55
         * 求最大值
         * 1 定义一个数组
         * 2 int max = arr[0]
         * 3 遍历数组for(int i = 1, i< arr.length ; i++)
         * 4 如果元素> max  让max = 当前遍历元素
         *
         */
//        1 定义一个数组
        int[] arr  = {33,5,22,44,55};
//        2 int max = arr[0]
        int max = arr[0];
//        3 遍历数组for(int i = 1, i< arr.length ; i++)
        for (int i = 1; i < arr.length; i++) {
            //        4 如果元素> max  让max = 当前遍历元素
            int ele = arr[i];
            if(ele > max){
                max = ele;
            }
        }
        System.out.println("最大值为:" + max);

    }
}
